/// Fernando Pereira Silveira

window.addEventListener("load", controledescripts_verificar_painel, false);

function controledescripts_abrir_prefs2()
{
	window.openDialog("chrome://controledescripts/content/controledescripts.xul", "controledescripts-prefs", "centerscreen,chrome");
}

function controledescripts_atualizar_botao()
{
	document.getElementById("advancedJavascript").disabled = !document.getElementById("enableJavaScript").checked;
}

function controledescripts_aplicar_overlay_ff()
{
	var strings = document.getElementById("controledescripts-strings");
	var row = document.getElementById("enableJavaScriptRow");
	var checkbox1 = document.getElementById("enableJavaScript");
	var checkbox2 = document.getElementById("disableAnnoyances");
	var button = document.createElement("button");

	checkbox2.setAttribute("hidden", "true");
	button.setAttribute("id", "advancedJavascript");
	button.setAttribute("label", strings.getString("controledescripts.botao.label"));
	button.setAttribute("accesskey", strings.getString("controledescripts.botao.accesskey"));
	button.setAttribute("oncommand", "controledescripts_abrir_prefs2();");
	row.appendChild(button);

	checkbox1.addEventListener("CheckboxStateChange", controledescripts_atualizar_botao, false);
	controledescripts_atualizar_botao();
}

function controledescripts_verificar_painel()
{
	var painelConteudo = document.getElementById("paneContent");

	if (painelConteudo.loaded)
		controledescripts_aplicar_overlay_ff();
	else
		painelConteudo.addEventListener("paneload", controledescripts_aplicar_overlay_ff, false);
}
